Subject: Re: [PATCH net-next 00/15] net: ipa: generalized register definitions

From: Jakub Kicinski <[email-masked]>
Date: Wed, 28 Sep 2022 07:04:21 -0700

On Wed, 28 Sep 2022 02:00:18 +0000 [email-masked]
wrote:
> Hello:
> 
> This series was applied to netdev/net-next.git (master)
> by Jakub Kicinski <[email-masked]>:
> 
> On Mon, 26 Sep 2022 17:09:16 -0500 you wrote:
> > This series is quite a bit bigger than what I normally like to send,
> > and I apologize for that.  I would like it to get incorporated in
> > its entirety this week if possible, and splitting up the series
> > carries a small risk that wouldn't happen.
> > 
> > Each IPA register has a defined offset, and in most cases, a set
> > of masks that define the width and position of fields within the
> > register.  Most registers currently use the same offset for all
> > versions of IPA.  Usually fields within registers are also the same
> > across many versions.  Offsets and fields like this are defined
> > using preprocessor constants.
> > 
> > [...]  
> 
> Here is the summary with links:
>   - [net-next,01/15] net: ipa: introduce IPA register IDs
>     https://git.kernel.org/netdev/net-next/c/98e2dd71a826
>   - [net-next,02/15] net: ipa: use IPA register IDs to determine offsets
>     https://git.kernel.org/netdev/net-next/c/6bfb753850d3
>   - [net-next,03/15] net: ipa: add per-version IPA register definition files
>     https://git.kernel.org/netdev/net-next/c/07f120bcf76b
>   - [net-next,04/15] net: ipa: use ipa_reg[] array for register offsets
>     https://git.kernel.org/netdev/net-next/c/82a06807453a
>   - [net-next,05/15] net: ipa: introduce ipa_reg()
>     (no matching commit)
>   - [net-next,06/15] net: ipa: introduce ipa_reg field masks
>     https://git.kernel.org/netdev/net-next/c/a5ad8956f97a
>   - [net-next,07/15] net: ipa: define COMP_CFG IPA register fields
>     https://git.kernel.org/netdev/net-next/c/12c7ea7dfd2c
>   - [net-next,08/15] net: ipa: define CLKON_CFG and ROUTE IPA register fields
>     (no matching commit)
>   - [net-next,09/15] net: ipa: define some more IPA register fields
>     (no matching commit)
>   - [net-next,10/15] net: ipa: define more IPA register fields
>     (no matching commit)
>   - [net-next,11/15] net: ipa: define even more IPA register fields
>     (no matching commit)
>   - [net-next,12/15] net: ipa: define resource group/type IPA register fields
>     (no matching commit)
>   - [net-next,13/15] net: ipa: define some IPA endpoint register fields
>     (no matching commit)
>   - [net-next,14/15] net: ipa: define more IPA endpoint register fields
>     (no matching commit)
>   - [net-next,15/15] net: ipa: define remaining IPA register fields
>     (no matching commit)
> 
> You are awesome, thank you!

Hi Konstantin,

did anything change in the pw-bot in the last couple of weeks?

I didn't touch these patches and yet half got missed.
Do you recommend we slap a Link on all patches? Currently I only 
add it to the cover letter / merge commit.